> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume a Subscription

Resume a previously paused Subscription.

**Note:**

* Only paused Subscriptions can be resumed.
* Entitlements granted from the BillingPlan, or any active Product of the Subscription, are resumed on the date of the resumed request.

## HTTP Request

`POST https://api.vindicia.com/subscriptions/:id/actions/resume`

## Route (URL) Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| id | n/a | The `id` or the `vid` of the Subscription to resume. | Yes |

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| reset | true | Optional Boolean flag to reset the billing cycle to the current date of the resume operation. | No |

## Accepts

None

## Returns

JSON - `oneOf`:

* Subscription object
* Error object

## Resume Behavior Parameter Values

Resume behavior will be influenced based on the value of the reset parameter and the `status`/`billing_state` of the Subscription as follows:

| **Use Case: Subscription `status`/`billing_state` are 'Paused'/'Paused', Resume Requested with `reset=true`** |
| - |
| **Note:** This is considered the common Use Case. In this Use Case, the request is to resume a Subscription which has reached a previously requested pause date. So, the subscriber is not within a paid service period (no refund was issued when the pause was requested) but it is desired to resume the Subscription immediately. |
| - Subscription `status`/`billing_state` becomes ‘Active’/‘Good Standing’. - Subscription billing day of month changed to current day of month. - Billing cycle incremented. - Entitlement from Subscription BillingPlan and active Products granted. - Pause object end date and pause status updated. - Subscription Resume Push Notification triggered if the Merchant subscribed for this class and event. - Immediate billing for new service period commencing on current date triggered. - API return code `200`. - API return body: Susbscription object. - The Subscription `status`/`billing_state` and Entitlements follow existing success/failure behavior for PaymentMethod. |

| **Use Case: Subscription `status`/`billing_state` are ‘Pending Pause’/‘Pending Pause’, Resume requested with `reset=true`** |
| - |
| **Note:** In this Use Case, the request is to resume a Subscription which has not yet reached a previously requested pause date. So, the subscriber is still in a paid service period (no refund was issued when the pause was requested), but it is desired to effectively cancel the pending pause. |
| - Subscription status/billing\_state updated to “Active”/”Good Standing”. - Billing day of month NOT changed. - Billing cycle NOT incremented. - Entitlement from Subscription BillingPlan and active Products granted. - Pause object end date and pause status updated. - Subscription Resume Push Notification triggered if the Merchant subscribed for this class and event. - Immediate billing NOT triggered. - API return code `206`. - API return body: Error object. - Subscription re-bills on nextBill date (date at time of pause). - It is desired to inform the API client that the pause was cancelled but that the billing cycle was not reset by returning a alternate success return code and a message for the Merchant to be able to detect what has occurred. |
| **Error Message**: `&#123; "object":"Error", "message":"Subscription in active service period. Resuming without new billing." &#125;` |

| **Use Case: Subscription `status`/`billing_state` are ‘Paused’/‘Paused’, Resume requested with `reset=false`** |
| - |
| **Note:** Without support for a prorated charge, resuming a Subscription that is outside of a paid service period without resetting the billing cycle could provide the subscriber with unpaid entitlement until the next billing day of month specified in the Subscription. This operation is not allowed. |
| - API return code: `400`. - API return body: `Error object`. |
| **Error Message**: `&#123; "object":"Error", "message":"Reset of billing cycle required." &#125;` |

| **Use Case: Subscription `status`/`billing_state` are ‘Pending Pause’/‘Pending Pause’, Resume requested with `reset=false`** |
| - |
| **Note:** In this Use Case, the request is to resume a Subscription which has yet reached a previous requested pause date. So, the subscriber is still in a paid service period (no refund was issued when the pause was requested); however, it is desired to effectively cancel the pending pause, but not until the current service period has completed. |
| - Subscription `status`/`billing_state` updated to “Active”/”Good Standing”. - Billing day of month NOT changed. - Billing cycle NOT incremented. - Entitlement from Subscription BillingPlan and active Products granted. - Pause object end date and pause status updated. - Subscription Resume Push Notification triggered if the Merchant subscribed for this class and event. - Immediate billing NOT triggered. - API return code `200`. - API return body: Subscription object. - Subscription re-bills on nextBill date (date at time of pause). |
| **Parent topic:**[Subscriptions](../topics/Subscriptions) |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.